curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/members/{member_guid}/rewards \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/members/{member_guid}/rewards"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_guid}/members/{member_guid}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rewards": [
{
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
"balance_type": "EXPIRING_BALANCE",
"balance": 1000,
"created_at": "2025-02-13T18:08:00+00:00",
"description": "A description of the reward.",
"expires_on": "2020-02-28",
"guid": "RWD-1234",
"unit_type": "POINTS",
"updated_at": "2023-06-01T19:18:06Z"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List Rewards
rewards associated with a specified member. Member guids are defined by MX.Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'Headers
MX Platform API version.
"v20250224"
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
The unique id for a member.
Response
OK
Hide child attributes
Hide child attributes
The unique identifier for an account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
The type of balance associated with the reward, for example, BALANCE_TO_LEVEL, or TOTAL_BALANCE.
"EXPIRING_BALANCE"
The current balance of the account.
PENDING transactions are typically not taken into account with the current balance, but this may not always be the case.
The balance will usually be a positive value for all account types. Asset-type accounts (CHECKING, SAVINGS, INVESTMENT) may have a negative balance if they are in overdraft.
Debt-type accounts (CREDIT_CARD, LOAN, LINE_OF_CREDIT, MORTGAGE) may have a negative balance if they are overpaid.
1000
The date and time the resource was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
The description for the reward as given by the data provider.
"A description of the reward."
The date on which the balance expires.
"2020-02-28"
The unique identifier for the reward. Defined by MX.
"RWD-1234"
The units in which the balance is given, for example, MILES or POINTS.
"POINTS"
The date and time at which the account was last updated.
"2023-06-01T19:18:06Z"
Hide child attributes
Hide child attributes
The page delivered by the current response.
1
The number of records delivered with each page.
25
The total number of records available.
1
The total number of pages available.
1

